Database connectio error

#11
[eluser]Derek Allard[/eluser]
Hey Rick. Is the problem definitely the mysql version? If so, just drop them a note and link to this thread, and I'm sure they'll help you get it sorted out.

#12
[eluser]RickRobinson[/eluser]
It appears the mysql version on the servers hosted by the EllisLab "engine hosting" is 4.0.22.

The fix documented here works, but it just seemed interesting to me that they are on a now-unsupported version.

#13
[eluser]Colin Williams[/eluser]
I'm getting this on MySQL 5.0.51a, CI 1.6.1

NEVERMIND =================================

This wasn't in my database.php config file:
$db['default']['char_set'] = "utf8";
$db['default']['dbcollat'] = "utf8_general_ci";

My bad...

#14
[eluser]symonel[/eluser]
Hi

I'm very new at programming using PHP and a friend recommended I used CodeIgniter. So I followed the first tutorial, all went great, but got stuck on the second one. I seem to get the same error as the guys who wrote before me:
Quote:An Error Was Encountered

Unable to connect to your database server using the provided settings.

I'm using the 1.6.1 version of CodeIgniter and XAMPP which has the 5.0.51a version of MySQL. I did exactly like in the tutorial, except when modifying the autoload.php file, since the "$autoload['core']" is deprecated, I modified this instead:
$autoload['libraries'] = array('database');

But still get the connection to the database server error. Any chance you could help me? I'm rather lost.

#15
[eluser]Pascal Kriete[/eluser]
Are you sure all your database information (username, password, etc) is correct and your mysql server is running?

If you've just started CI the char_set and dbcollat should be right.

#16
[eluser]symonel[/eluser]
Oh man, I apparently didn't modify the username in the database.php file. Silly me! :red:
Thanks a lot, especially for the extremly fast reply! ;-)


Digg   Delicious   Reddit   Facebook   Twitter   StumbleUpon  


  Theme © 2014 iAndrew  
Powered By MyBB, © 2002-2020 MyBB Group.